EDIT - feature request #8442

Add fields to handle external terms to DefinedTermBase or TermBase

08/02/2019 08:39 PM - Andreas Miller

Status: Closed Start date:
Priority: Highest Due date:
Assignee: Andreas Muller % Done: 50%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.8
Severity: normal
Description
Similar to those created for Reference (#6663).
The fields are
e |ast retrieved
e externalld
e externalLink
e authorityType
And maybe some more (see #6663)
Related issues:
Related to EDIT - feature request #6663: Add required attributes to Reference... Closed

Associated revisions

Revision 4817727 - 08/13/2019 03:13 PM - Andreas Miiller

ref #8442 move AuthorityType to model.common

Revision 816fdaa0 - 08/13/2019 03:13 PM - Andreas Miiller

ref #8442 add externallyManaged to DefinedTermBase and TermVocabulary and make ExternallyManaged an embeddable class

Revision 7fd108f2 - 08/13/2019 03:13 PM - Andreas Miiller
ref #8442 add ExternallyManagedimport

Revision dd017de5 - 08/13/2019 03:13 PM - Andreas Miiller

ref #8442 update script for externally managed, ref #8454 update script for username patterns

Revision 43f0e2a1 - 08/13/2019 03:13 PM - Andreas Miiller
ref #8442 | ref #8429 adapt test schemas to model changes

Revision 609086da - 08/13/2019 03:13 PM - Andreas Miiller
ref #8442 jaxb for externallyManaged

Revision d7b78aa0 - 08/13/2019 03:13 PM - Andreas Miiller

ref #8442 add externallyManaged to UserDefined classes for matching and merging

Revision 9bee6bd5 - 08/13/2019 03:13 PM - Andreas Miiller

ref #8442 fix some jaxb annotations

History

#1 - 08/02/2019 08:39 PM - Andreas Miiller
- Priority changed from New to Highest

#2 - 08/02/2019 08:39 PM - Andreas Miuller

- Related to feature request #6663: Add required attributes to Reference to include externally managed references added
#3 - 08/14/2019 10:51 AM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

This should be fixed. Also added new field "importMethod" and extracted all data to an external embeddable class "ExternallyManaged".
Getter & Setters not yet implemented. Only model changes.
Katja, Patrick, do you want to review? Otherwise | close the ticket.
#4 - 08/15/2019 12:39 PM - Patrick Plitzner
Andreas Miller wrote:
This should be fixed. Also added new field "importMethod" and extracted all data to an external embeddable class "ExternallyManaged".
Getter & Setters not yet implemented. Only model changes.

Katja, Patrick, do you want to review? Otherwise | close the ticket.

Those were just addition if | understand correctly so | guess there is no need to review.

#5 - 08/16/2019 12:11 PM - Andreas Miuller

- Status changed from Resolved to Closed

So I close this ticket.
